# List call recordings of a call

This endpoint lists all active call recordings of an active call. If you want to list recordings from a `completed` call, you should use the Recordings API.

## Get call recordings from a call

> Get a list of recordings from a channel call

```json
{"openapi":"3.0.3","info":{"title":"Channels","version":"v1"},"tags":[],"servers":[{"url":"https://api.bird.com","description":"Production API"}],"security":[{"accessKey":[]}],"components":{"securitySchemes":{"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token","scheme":"AccessKey","type":"http"}},"parameters":{"pagination.param.limit_1000":{"description":"Limits the number of results to return.","in":"query","name":"limit","schema":{"default":25,"maximum":1000,"minimum":1,"type":"integer"}},"pagination.param.pageToken":{"description":"The cursor that keeps track of the current position in the results.","in":"query","name":"pageToken","schema":{"type":"string"}}},"schemas":{"CallRecordingList":{"type":"object","title":"ChannelCallRecordingList","description":"A list of channel call recordings","properties":{"results":{"type":"array","items":{"$ref":"#/components/schemas/CallRecording"}}}},"CallRecording":{"type":"object","title":"ChannelCallRecording","additionalProperties":false,"properties":{"id":{"type":"string","format":"uuid"},"callId":{"type":"string","format":"uuid"},"channelId":{"type":"string","format":"uuid"},"status":{"$ref":"#/components/schemas/CallRecordingStatus"},"origin":{"$ref":"#/components/schemas/CallRecordingOrigin"},"duration":{"type":"integer"},"stereo":{"type":"boolean"},"endCause":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"startedAt":{"type":"string","format":"date-time"},"endedAt":{"type":"string","format":"date-time"}},"required":["id","callId","status","origin","createdAt","updatedAt"]},"CallRecordingStatus":{"type":"string","enum":["accepted","ongoing","paused","completed","available","absent","failed"]},"CallRecordingOrigin":{"type":"string","enum":["call-command-record","call-command-record-call","create-call","bridge-call"]},"Pagination":{"type":"object","properties":{"nextPageToken":{"type":"string","description":"The token that can be passed as pageToken in URL to retrieve the next set of results. If missing, no more results to display."}}},"error.detailed":{"additionalProperties":false,"description":"An error returned from the API that includes additional details about the error. The `details` property can contain any additional information about the error that may be helpful for debugging or understanding the error.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":true,"description":"Any additional information about the error that may be helpful for debugging or understanding the error.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"DetailedError","type":"object"},"error.validation":{"additionalProperties":false,"description":"A validation error returned from the API. The `details` map keys are JSON paths\npointing into the request body / parameters; values are arrays of human-readable\nmessages describing each problem with that path.\n","properties":{"code":{"description":"A unique code that identifies the error. This code can be used to programmatically identify the error.","minLength":3,"type":"string"},"details":{"additionalProperties":{"items":{"type":"string"},"type":"array"},"description":"Per-field validation messages keyed by JSON path.","type":"object"},"message":{"description":"A human-readable message that describes the error.","minLength":1,"type":"string"}},"required":["code","message"],"title":"ValidationError","type":"object"}},"responses":{"requestError":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.detailed"}}},"description":"An error"},"validationError":{"$ref":"#/components/responses/error.response.invalid_request"},"error.response.invalid_request":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/error.validation"}}},"description":"The request contains invalid parameters or body fields."}}},"paths":{"/workspaces/{workspaceId}/channels/{channelId}/calls/{callId}/recordings":{"get":{"summary":"Get call recordings from a call","operationId":"listCallRecordings","description":"Get a list of recordings from a channel call","tags":["channel_call_recordings"],"parameters":[{"$ref":"#/components/parameters/pagination.param.limit_1000"},{"$ref":"#/components/parameters/pagination.param.pageToken"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/CallRecordingList"},{"$ref":"#/components/schemas/Pagination"}]}}}},"404":{"$ref":"#/components/responses/requestError"},"422":{"$ref":"#/components/responses/validationError"}}}}}}
```

### Example 1: Get the list of call recordings

You might consider filtering the recording list based on a limit for example.

{% tabs %}
{% tab title="Request Headers" %}

```
curl "https://api.bird.com/workspaces/{workspaceId}/channels/{channelId}/calls/{callId}/recordings" \
     -H "Authorization: AccessKey YOUR_SECRET_TOKEN"
```

{% endtab %}

{% tab title="Request Body" %}

```
// N/A
```

{% endtab %}

{% tab title="Response" %}

```
{
  "results": [
    {
      "id": "32b98cd8-db4b-4a47-816e-ff7ff72b1da6",
      "channelId": "880d8171-cbab-47bb-81b6-b1a0902da136",
      "callId": "0b4cbfa2-813f-4b93-8007-265875bb88bb",
      "status": "available",
      "origin": "create-call",
      "duration": 0,
      "stereo": false,
      "createdAt": "2023-10-26T18:28:55.646Z",
      "updatedAt": "2023-10-26T18:28:55.646Z",
      "startedAt": "2023-10-26T18:28:55.373Z",
      "endedAt": "0001-01-01T00:00:00Z"
    }
  ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bird.com/api/voice-api/voice-calls-api/list-call-recordings-of-a-call.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
